<?php
/*
Plugin Name: PWA to APK Plugin
Description: Addon for PWA for WP & AMP to build PWA to APK Plugin
Version: 1.4
Text Domain: pwa-to-apk-plugin
Domain Path: /languages
Author: Magazine3
License: GPL2
*/
// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) exit;

define('PWAFORWP_PTAFP_VERSION', '1.1');
define('PWAFORWP_PTAFP_DIR_NAME_FILE', __FILE__ );
define('PWAFORWP_PTAFP_DIR_NAME', dirname( __FILE__ ));
define('PWAFORWP_PTAFP_DIR_URI', plugin_dir_url(__FILE__));
define('PWAFORWP_PTAFP_PLUGIN_URL', plugin_dir_url( __FILE__ ));
define('PWAFORWP_PTAFP_PLUGIN_DIR', plugin_dir_path( __FILE__ ));

//pwaforwp_pwa_to_apk_plugin_setting_section

add_action("plugins_loaded", 'pwaforwp_load_ptafp_admin');
function pwaforwp_load_ptafp_admin(){
  require_once PWAFORWP_PTAFP_PLUGIN_DIR."/inc/admin_sets.php";

}



//Plugin Updater code starts here

// this is the URL our updater / license checker pings. This should be the URL of the site with EDD installed
define( 'PWAFORWP_PTAFP_DATA_STORE_URL', 'http://pwa-for-wp.com/' );

// the name of your product. This should match the download name in EDD exactly
define( 'PWAFORWP_PTAFP_DATA_ITEM_NAME', 'PWA to APK Plugin' );

// the download ID. This is the ID of your product in EDD and should match the download ID visible in your Downloads list (see example below)

// the name of the settings page for the license input to be displayed
define( 'PWAFORWP_PTAFP_LICENSE_PAGE', 'pwa-to-apk-plugin' );
if(! defined('PWAFORWP_PTAFP_ITEM_FOLDER_NAME')){
    $folderName = basename(__DIR__);
    define( 'PWAFORWP_PTAFP_ITEM_FOLDER_NAME', $folderName );
}

require_once dirname( __FILE__ ) . '/updater/EDD_SL_Plugin_Updater.php'; 

function pwa_to_apk_plugin_for_pwa_updater(){
   
        $selectedOption      = get_option('pwaforwp_settings',true);                
        $license_key         = isset($selectedOption['ptafp_addon_license_key'])? $selectedOption['ptafp_addon_license_key']:'';        
        $licensestatus       = isset($selectedOption['ptafp_addon_license_key_status'])? $selectedOption['ptafp_addon_license_key_status']:'';

 
// setup the updater
  $edd_updater = new PTAFP_Data_EDD_SL_Plugin_Updater( PWAFORWP_PTAFP_DATA_STORE_URL, __FILE__, array(
      'version'         => PWAFORWP_PTAFP_VERSION,      // current version number
      'license'         => $license_key,             // license key (used get_option above to retrieve from DB)
      'license_status'  => $licensestatus,
      'item_name'       => PWAFORWP_PTAFP_DATA_ITEM_NAME,      // name of this plugin
      'author'          => 'Magazine3',           // author of this plugin
      'beta'            => false,
    )
  );      
}

add_action( 'admin_init', 'pwa_to_apk_plugin_for_pwa_updater', 0);

// Notice to enter license key once activate the plugin
$path = plugin_basename( __FILE__ );
   
add_action("after_plugin_row_{$path}", function( $plugin_file, $plugin_data, $status ) {
   // global $redux_builder_amp;
    
        if(! defined('PWAFORWP_PTAFP_ITEM_FOLDER_NAME')){
            
        $folderName = basename(__DIR__);
        
            define( 'PWAFORWP_PTAFP_ITEM_FOLDER_NAME', $folderName );
            
        }
        
        $selectedOption      = get_option('pwaforwp_settings',true);                        
        $licensestatus       = isset($selectedOption['ptafp_addon_license_key_status'])? $selectedOption['ptafp_addon_license_key_status']:'';
        $license_key         = isset($selectedOption['ptafp_addon_license_key'])? $selectedOption['ptafp_addon_license_key']:''; 
                        
         if(empty($license_key)){
             
            echo "<tr class='active'><td>&nbsp;</td><td colspan='2'><a href='".esc_url(  self_admin_url( 'admin.php?page=pwaforwp&tab=premium_features#ptafp_addon_license_key' )  )."'>Please enter the license key</a> to get the <strong>latest features</strong> and <strong>stable updates</strong></td></tr>";
            
         }elseif($licensestatus=="active"){
                          
            $update_cache = get_site_transient( 'update_plugins' );
                                   
            $update_cache = is_object( $update_cache ) ? $update_cache : new stdClass();
            
            if(isset($update_cache->response[ PWAFORWP_PTAFP_ITEM_FOLDER_NAME."/".PWAFORWP_PTAFP_ITEM_FOLDER_NAME.".php" ]) 
                && empty($update_cache->response[ PWAFORWP_PTAFP_ITEM_FOLDER_NAME."/".PWAFORWP_PTAFP_ITEM_FOLDER_NAME.".php" ]->download_link) 
             )
                    
            {
               unset($update_cache->response[ PWAFORWP_PTAFP_ITEM_FOLDER_NAME."/".PWAFORWP_PTAFP_ITEM_FOLDER_NAME.".php" ]);
               set_site_transient( 'update_plugins', $update_cache );
            }
            
            
            
        }
    }, 10, 3 );

//Plugin Updater code ends here